from WaitState import WaitState
from CameraCommander import CameraCommander


class WaitActivity(WaitState):
	def handle(self, context):
		data = self.waitMsg(context)
		if data:
			print("[WaitActivity] : Error({}) from camera ({}) at {}:{}".format(data, context.camera.id, context.connection.addr, context.connection.port))
			context.close()
	

	def tic(self, context):
		pass
