<?php

class Camera
{

    private $id;
    private $name;
    private $product_key;
    private $available;
    private $enabled;
    private $rtmp_handle;

    function __construct($id, $name, $product_key, $available, $enabled, $rtmp_handle)
    {
        $this->name = $name;
        $this->available = $available;
        $this->enabled = $enabled;
        $this->id = $id;
        $this->product_key = $product_key;
        $this->rtmp_handle = $rtmp_handle;
    }

    /**
     * @return mixed
     */
    public function getRtmpHandle()
    {
        return $this->rtmp_handle;
    }

    /**
     * @param mixed $rtmp_handle
     */
    public function setRtmpHandle($rtmp_handle)
    {
        $this->rtmp_handle = $rtmp_handle;
    }

    /**
     * @return mixed
     */
    public function getProductKey()
    {
        return $this->product_key;
    }

    /**
     * @param mixed $product_key
     */
    public function setProductKey($product_key)
    {
        $this->product_key = $product_key;
    }

    /**
     * @return mixed
     */
    public function getName()
    {
        return $this->name;
    }

    /**
     * @param mixed $name
     */
    public function setName($name)
    {
        $this->name = $name;
    }

    /**
     * @return mixed
     */
    public function getAvailable()
    {
        return $this->available;
    }

    /**
     * @param mixed $available
     */
    public function setAvailable($available)
    {
        $this->available = $available;
    }

    /**
     * @return mixed
     */
    public function getEnabled()
    {
        return $this->enabled;
    }

    /**
     * @param mixed $enabled
     */
    public function setEnabled($enabled)
    {
        $this->enabled = $enabled;
    }

    /**
     * @return mixed
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * @param mixed $id
     */
    public function setId($id)
    {
        $this->id = $id;
    }



}
?>