<h1>Site web Projet L3</h1>

<a href="connexion/disconnect"><button type="submit">Deconnexion</button></a>
<a href="default"><button type="submit">Retour</button></a>

<h3>Mes informations</h3>

<?php if(isset($messageInfo)): ?>
    <p><?= $messageInfo ?></p>
<?php endif ?>
<h4>Mes identifiants :</h4>
<form method="post" action="default/updateLogin">
    <label>Login :</label>
    <input type="text" name="login" placeholder="Login" required>
    <button type="submit">Modifier</button>
</form>

<form method="post" action="default/updatePassword">
    <label>Mot de passe :</label>
    <input type="password" name="password" placeholder="Mot de passe" required>
    <label>Vérification :</label>
    <input type="password" name="passwordBis" placeholder="Mot de passe" required>
    <button type="submit">Modifier</button>
</form>

<h4>Mes caméras :</h4>
<?php if($cameras != null): ?>
    <ul>
        <?php foreach($cameras as $camera): ?>
            <li>
                <form method="post" action="camera/swapState/<?=$camera->getId()?>">
                    <a href="<?= "camera/" . $this->clean($camera->getId()) ?>">
                        <?= $camera->getName() ?>
                    </a>

                    <?php if($camera->getAvailable() == true):?> Joignable -
                    <?php else: ?> Non joignable -
                    <?php endif ?>

                    <?php if($camera->getEnabled() == true):?> Activée <button type="submit">Désactiver</button>
                        <?php $swap = "disable";?>
                    <?php else: ?> Désactivée <button type="submit">Activer</button>
                        <?php $swap = "enable";?>
                    <?php endif ?>
                    <input type="hidden" name="swap" value="<?=$swap?>">
                    <input type="hidden" name="whereAction" value="settings">
                    <a href="camera/delete/<?=$camera->getId()?>"><button type="button">Supprimer</button></a>
                </form>
            </li>
        <?php endforeach; ?>
    </ul>
<?php else: ?>
    <p>Vous n'avez accès à aucune caméra</p>
<?php endif ?>
<form method="post" action="default/addCam">
    <label>Nom :</label>
    <input type="text" name="name" placeholder="Entrez un nom" required>
    <label>Numéro de série :</label>
    <input type="text" name="camera_id" placeholder="Entrez le numéro de série" required>
    <button type="submit">Ajouter Caméra</button>
</form>